Name:		libsyncml
Version:	0.4.5
Release:	2%{?dist}
Summary:	SyncML protocol library

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://libsyncml.opensync.org/
Source0:	http://libsyncml.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	wbxml2-devel >= 0.9.2
BuildRequires:	libxml2-devel libsoup-devel
BuildRequires:	openobex-devel bluez-libs-devel

%description
%{summary}.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

# Fix some permissions
chmod a-x libsyncml/syncml.h \
          libsyncml/syncml_internals.h

%build
%configure --disable-static

# Disable rpath.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


#%check
#make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/syncml-http-server
%{_bindir}/syncml-http-client
%{_bindir}/syncml-obex-client
%{_libdir}/libsyncml.so.0*
%{_mandir}/man1/syncml-http-server.1.gz
%{_mandir}/man1/syncml-obex-client.1.gz

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_includedir}/libsyncml-1.0/
%{_libdir}/libsyncml.so
%exclude %{_libdir}/libsyncml.la
%{_libdir}/pkgconfig/libsyncml-1.0.pc


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.5-2
- Autorebuild for GCC 4.3

* Sun Oct 21 2007 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.4.5-1
- New upstream version 0.4.5

* Fri Aug 24 2007 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.4.4-1
- New upstream version 0.4.4
- New License: tag.
- Re-enable tests. Added a patch to disable -Werror in tests.
  However, the "make check" stage still fail! Disabled.

* Tue Feb 13 2007 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.3-1
- New upstream version 0.4.3.
- No longer need for patch libsyncml-0.4.2.doctype.patch (merged upstream).

* Wed Nov 29 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.2-2
- Modify the BR: wbxml2-devel, so that it build-requires wbxml2>=0.9.2.

* Mon Nov 27 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4.2-1
- Initial release for Fedora Extras.
